coreEngine

## Class DebugOutput

- java.lang.Object
- - coreEngine.DebugOutput

-     public class DebugOutput
      extends java.lang.Object

  This class is used to output detailed 15-sec over saturated calculation
  Author:
    Shu Liu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.text.DecimalFormat` | `f0` Decimal formatter for integer
    `private static java.text.DecimalFormat` | `f2` Decimal formatter for floating number
    `private static int` | `NUM_ITEMS` Total number of items in each row
    `private static CSVWriter` | `writer` csv file writer

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugOutput()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `finish()` Finish debug output
    `static void` | `startOutput()` Initialize debug output
    `static void` | `write(int period, java.util.ArrayList<GPMLSegment> Segments)` Write results for a period (60 steps) into the csv file

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### writer

          private static CSVWriter writer

      csv file writer

    - #### NUM_ITEMS

          private static final int NUM_ITEMS

      Total number of items in each row
      See Also:
        Constant Field Values

    - #### f0

          private static final java.text.DecimalFormat f0

      Decimal formatter for integer

    - #### f2

          private static final java.text.DecimalFormat f2

      Decimal formatter for floating number

  - ### Constructor Detail

    - #### DebugOutput

          public DebugOutput()

  - ### Method Detail

    - #### startOutput

          public static void startOutput()

      Initialize debug output

    - #### write

          public static void write(int period,
                                   java.util.ArrayList<GPMLSegment> Segments)
                            throws java.io.IOException

      Write results for a period (60 steps) into the csv file
      Parameters:
        `period` - analysis period index
        `Segments` - ArrayList of segments (GP or ML segments)
      Throws:
        `java.io.IOException`

    - #### finish

          public static void finish()

      Finish debug output